aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--package/multimedia/bellagio/Config.in1
-rw-r--r--package/opengl/Config.in3
-rw-r--r--package/opengl/libopenmax/libopenmax.mk24
-rw-r--r--package/rpi-userland/Config.in1
4 files changed, 29 insertions, 0 deletions
diff --git a/package/multimedia/bellagio/Config.in b/package/multimedia/bellagio/Config.in
index 1458f63702..d918f80ce3 100644
--- a/package/multimedia/bellagio/Config.in
+++ b/package/multimedia/bellagio/Config.in
@@ -1,6 +1,7 @@
config BR2_PACKAGE_BELLAGIO
bool "bellagio"
depends on BR2_INSTALL_LIBSTDCPP
+ select BR2_PACKAGE_HAS_OPENMAX
help
Bellagio is an opensource implementation of the
OpenMAX IL API.
diff --git a/package/opengl/Config.in b/package/opengl/Config.in
index 81616f99fb..1636807a84 100644
--- a/package/opengl/Config.in
+++ b/package/opengl/Config.in
@@ -6,3 +6,6 @@ config BR2_PACKAGE_HAS_OPENGL_ES
config BR2_PACKAGE_HAS_OPENVG
bool
+
+config BR2_PACKAGE_HAS_OPENMAX
+ bool
diff --git a/package/opengl/libopenmax/libopenmax.mk b/package/opengl/libopenmax/libopenmax.mk
new file mode 100644
index 0000000000..430760208c
--- /dev/null
+++ b/package/opengl/libopenmax/libopenmax.mk
@@ -0,0 +1,24 @@
+#############################################################
+#
+# Virtual package for libopenmax
+#
+#############################################################
+
+LIBOPENMAX_SOURCE =
+
+ifeq ($(BR2_PACKAGE_RPI_USERLAND),y)
+LIBOPENMAX_DEPENDENCIES += rpi-userland
+endif
+
+ifeq ($(BR2_PACKAGE_BELLAGIO),y)
+LIBOPENMAX_DEPENDENCIES += bellagio
+endif
+
+ifeq ($(LIBOPENMAX_DEPENDENCIES),)
+define LIBOPENMAX_CONFIGURE_CMDS
+ echo "No libopenmax implementation selected. Configuration error."
+ exit 1
+endef
+endif
+
+$(eval $(generic-package))
diff --git a/package/rpi-userland/Config.in b/package/rpi-userland/Config.in
index 2c35fb76c8..da5726f2e4 100644
--- a/package/rpi-userland/Config.in
+++ b/package/rpi-userland/Config.in
@@ -6,6 +6,7 @@ config BR2_PACKAGE_RPI_USERLAND
select BR2_PACKAGE_HAS_OPENGL_EGL
select BR2_PACKAGE_HAS_OPENGL_ES
select BR2_PACKAGE_HAS_OPENVG
+ select BR2_PACKAGE_HAS_OPENMAX
help
Raspberry Pi Userland contains the necessary library to use the
VideoCore driver.